Summary:	A command line utility to convert HTML document to plain text
Name:		html2text
Version:	2.2.3
Release:	%mkrel 1
Group:		File tools
License:	GPLv2+
URL:		https://github.com/grobian/html2text
Source0:        https://github.com/grobian/html2text/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel

%description
html2text is a command line utility, written in C++, that
converts HTML documents into plain text.

%prep
%autosetup

%build
autoreconf -vfi
%configure
%make_build EXPLICIT="%{optflags}" DEBUG="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc CREDITS KNOWN_BUGS README.md
%license COPYING
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Tue Dec 03 2024 daviddavid <daviddavid> 2.2.3-1.mga10
+ Revision: 2120773
- new version: 2.2.3

* Sat Jun 24 2023 daviddavid <daviddavid> 2.1.1-1.mga9
+ Revision: 1962985
- new version: 2.1.1

* Tue Mar 15 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1793617
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.0.0-1.mga9
+ Revision: 1740206
- 2.0.0
- update URLs

* Thu Feb 13 2020 umeabot <umeabot> 1.3.2a-16.mga8
+ Revision: 1513504
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2a-15.mga7
+ Revision: 1298212
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.3.2a-14.mga6
+ Revision: 935932
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2a-13.mga5
+ Revision: 744593
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2a-12.mga5
+ Revision: 680183
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2a-11.mga4
+ Revision: 505612
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2a-10.mga3
+ Revision: 353303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 14 2011 blino <blino> 1.3.2a-9.mga1
+ Revision: 17471
- imported package html2text


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2a-9mdv2011.0
+ Revision: 605883
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2a-8mdv2010.1
+ Revision: 520122
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.2a-7mdv2010.0
+ Revision: 425166
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.2a-6mdv2009.1
+ Revision: 316763
- use %%{optflags} and %%{ldflags}

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2a-5mdv2009.0
+ Revision: 221347
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.3.2a-4mdv2008.1
+ Revision: 126857
- kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.2a-4mdv2007.1
+ Revision: 145396
- Import html2text

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.2a-4mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat Aug 06 2005 Michael Scherer <misc@mandriva.org> 1.3.2a-3mdk
- Rebuild

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 1.3.2a-2mdk 
- rebuild for new gcc

* Thu May 06 2004 Michael Scherer <misc@mandrake.org> 1.3.2a-1mdk
- First version

